Como instalar o Guardiáo Itaú (Warsaw) no Ubuntu ou Linux Mint

Publicado por LinuxUserVlog em 15/10/2015

[ Hits: 42.283 ]

Blog: https://youtube.com/LinuxUserVlog

 


Como instalar o Guardiáo Itaú (Warsaw) no Ubuntu ou Linux Mint



Guia para instalação do Guardião Itaú (programa Warsaw, pacote warsaw_setup_64.deb).

SOBRE O WARSAW, PRÉ-REQUISITOS E OUTRAS INFORMAÇÕES

O Warsaw é um software de segurança. Sua função é aumentar a segurança dos usuários de bancos contra fraudes eletrônicas durante as transações online. O Warsaw impede que fraudadores, programas de terceiros e softwares maliciosos capturem informações e dados privados dos usuários, como números de senhas bancárias e movimentação de valores

Fonte:
Requer Ubuntu 64-bit. Não requer o Java.

Caso o sistema não suporte o Warsaw, o Itaú irá solicitar a execução do Java. Se for necessário instalar o Java, seguir este tutorial:

INSTALAÇÃO

Vídeo demonstrativo:

PASSO A PASSO: INSTRUÇÕES E COMANDOS

1. Acessar o Internet Banking Itaú 30 Horas.

2. Acessar a página de instalação do Guardião Itaú. Clicar em "Instalar". A seguir, clicar em "Continuar" para baixar o pacote deb.

3. Abrir o Terminal. Instalar a dependência:

sudo apt-get install libnss3-tools

4. Instalar o pacote warsaw_setup_64.deb:

$ cd Downloads
$ sudo dpkg -i warsaw_setup_64.deb


4.1. O instalador irá solicitar o fechamento do navegador (Firefox etc), caso esteja em execução.

5. Reiniciar o computador.

6. Acessar o Internet Banking Itaú 30 Horas e utilizar normalmente (o Guardião está instalado).

Em caso de dúvidas, entrar em contato pelo Twitter:
Outras dicas deste autor

RcloneBrowser - Gerencie o Google Drive no Ubuntu e Linux Mint

Mais segurança no Ubuntu Linux - Vídeo

Suporte a idiomas no Ubuntu/Xubuntu - Completando a instalação

Java no Ubuntu/Xubuntu 14.04 - Tutorial

Spotify no Debian, Ubuntu, Linux Mint

Leitura recomendada

Bloqueando o Hamachi no Mikrotik

Fechando a porta 6000 do X

Bloqueando MSN messenger com iptables

PrivacyFix e Adblock Plus - Navegação privada

Monitorando o seu micro

  

Comentários
[1] Comentário enviado por trev0r em 15/10/2015 - 13:47h


O site do itaú acessado via Linux não tem a necessidade de instalação de pacote sendo reconhecido a proteção via java.

[2] Comentário enviado por linuxuservlog em 15/10/2015 - 14:50h

Caro trev0r,

Você deve estar utilizando um sistema não compatível com o Warsaw. Seu sistema é 32-bit?

[3] Comentário enviado por mp0lli em 16/10/2015 - 13:38h

Segui todos os passos, porém o Internet Banking Itaú continua pedindo a instalação do guardião...
Ubuntu 14.04 LTS 64-bit
Firefox 41.0.1

[4] Comentário enviado por linuxuservlog em 16/10/2015 - 18:33h

mp0lli,

Fechou o Firefox antes ou durante a instalação?

Reiniciou o sistema após a instalação?

Tente fechar o Firefox, depois executar este comando:

/usr/local/bin/warsaw/core

E depois iniciar o Firefox e acessar o Itaú.

[5] Comentário enviado por rafaelocremix em 18/10/2015 - 17:09h


Boa dica,

mas meu problema aqui é outro. O Itaú ainda não disponibilizou um warsaw para sistemas em RPM. Por hora estou preso fora da minha conta.

[6] Comentário enviado por mp0lli em 19/10/2015 - 15:56h


[4] Comentário enviado por linuxuservlog em 16/10/2015 - 18:33h

mp0lli,

Fechou o Firefox antes ou durante a instalação?

Reiniciou o sistema após a instalação?

Tente fechar o Firefox, depois executar este comando:

/usr/local/bin/warsaw/core

E depois iniciar o Firefox e acessar o Itaú.


Fechei o Firefox durante a instalação, quando apareceu a mensagem pedindo para fechar.
Após a instalação o sistema foi reiniciado.

Existem dois processos [/usr/local/bin/warsaw/core] rodando, um para o root e outro no usuário da minha sessão.

Desinstalei o .deb e instalei novamente com o Firefox fechado, sem sucesso também.
Procurei nos certificados do Firefox e está cadastrado o "Warsaw Personal CA".
Meu acesso é via proxy, pode haver algum problema?

[7] Comentário enviado por linuxuservlog em 19/10/2015 - 19:20h

mp0lli,

Acredito que sim. Veja:

O que fazer se aparecer uma mensagem solicitando autenticação proxy?

- Durante o processo de instalação e atualização da solução, uma mensagem solicitando autenticação de proxy poderá aparecer. Isso ocorre quando o usuário utiliza algum sistema de proxy gerando bloqueios ocasionais internos que impedem o acesso a aplicação web. Se isso ocorrer, por favor entre em contato com o administrador da rede ou a instituição da qual é cliente.

Fonte: http://www.gastecnologia.com/faq

[8] Comentário enviado por linuxuservlog em 26/10/2015 - 20:42h

ATENÇÃO - ALERTA SOBRE NOVO GOLPE: mensagens falsas estão circulando pela Internet com arquivos e links maliciosos. Não clique em links recebidos por e-mail ou mensagem eletrônica. Não instale arquivos "warsaw" recebidos por e-mail ou mensagem eletrônica. Em caso de dúvida, acesse o site do desenvolvedor do Warsaw: http://www.gastecnologia.com/

Esse cuidado vale mais para usuários Windows e/ou smartphones. Mas...

[9] Comentário enviado por trev0r em 29/10/2015 - 02:06h


[2] Comentário enviado por linuxuservlog em 15/10/2015 - 14:50h

Caro trev0r,

Você deve estar utilizando um sistema não compatível com o Warsaw. Seu sistema é 32-bit?


linuxuservlog, uso debian 8, mint 17.

O guardião funciona normalmente.

Meus sistemas são todos 64bits.

O site do itaú quando acessado pelo linux usa um guardão projetado em java, sendo assim não é necessário a instalação do GAS.

Apenas sistemas Microsoft e Apple (osx), é necessário a instalação do guardião e geração do certificado na máquina.

Lembrando também de o guardião que exista no site da desenvolvedora do programa não serve para os bancos, pois existe um certificado único gerado para determinado banco. Recomendo que qualquer arquivo ou plugin baixado seja feito do próprio dominio (*.itau.com.br) do banco em questão. (https://bankline.itau.com.br/lgnet/itauf/Itau30horasGuardiao.htm)

De qualquer forma, fica a dica.

Att

[10] Comentário enviado por cerm em 24/11/2015 - 23:40h

Boa noite!

Segui todos os passos, porém o Internet Banking Itaú continua pedindo a instalação do guardião... para o LUbuntu 14.04 LTS 64-bit e Firefox 41.0.2 . Sou novato e sem muita experiência. Ao executar o comando sudo apt-get install libnss3-tools no terminal notei que deu o seguinte erro:

(Lendo banco de dados ... 235840 ficheiros e directórios actualmente instalados.)
Removing linux-image-3.13.0-59-generic (3.13.0-59.98) ...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.13.0-59-generic /boot/vmlinuz-3.13.0-59-generic
update-initramfs: Deleting /boot/initrd.img-3.13.0-59-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.13.0-59-generic /boot/vmlinuz-3.13.0-59-generic
/usr/sbin/grub-mkconfig: 38: /etc/default/grub: Syntax error: Unterminated quoted string
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 2
Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/info/linux-image-3.13.0-59-generic.postrm line 328.
dpkg: error processing package linux-image-3.13.0-59-generic (--remove):
sub-processo script post-removal instalado retornou estado de saída de erro 1
Erros foram encontrados durante o processamento de:
linux-image-3.13.0-59-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

Se alguém puder dar uma dica, eu agradeço.

Obrigado

Carlos.

[11] Comentário enviado por linuxuservlog em 25/11/2015 - 11:33h

Tente fechar o Firefox, depois executar este comando:

/usr/local/bin/warsaw/core

Sobre o erro no Terminal, execute:

sudo apt-get install -f


[12] Comentário enviado por cerm em 25/11/2015 - 12:29h

O comando: /usr/local/bin/warsaw/core é para executar no terminal? Desculpe a minha dúvida, mas sou novato no linux.

No Terminal, executando o sudo apt-get install -f deu o erro:

kdmint@kdmint-V5-131:~$ $ sudo apt-get install libnss3-tools
$: comando não encontrado
kdmint@kdmint-V5-131:~$ sudo apt-get install libnss3-tools
[sudo] password for kdmint:
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Os pacotes a seguir serão REMOVIDOS:
linux-image-3.13.0-59-generic
Os NOVOS pacotes a seguir serão instalados:
libnss3-tools
0 pacotes atualizados, 1 pacotes novos instalados, 1 a serem removidos e 5 não atualizados.
10 pacotes não totalmente instalados ou removidos.
É preciso baixar 0 B/751 kB de arquivos.
Depois desta operação, 38,6 MB de espaço em disco serão liberados.
Você quer continuar? [S/n] s
(Lendo banco de dados ... 260575 ficheiros e directórios actualmente instalados.)
Removing linux-image-3.13.0-59-generic (3.13.0-59.98) ...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.13.0-59-generic /boot/vmlinuz-3.13.0-59-generic
update-initramfs: Deleting /boot/initrd.img-3.13.0-59-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.13.0-59-generic /boot/vmlinuz-3.13.0-59-generic
/usr/sbin/grub-mkconfig: 38: /etc/default/grub: Syntax error: Unterminated quoted string
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 2
Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/info/linux-image-3.13.0-59-generic.postrm line 328.
dpkg: error processing package linux-image-3.13.0-59-generic (--remove):
sub-processo script post-removal instalado retornou estado de saída de erro 1
Erros foram encontrados durante o processamento de:
linux-image-3.13.0-59-generic
^[[B^[[BE: Sub-process /usr/bin/dpkg returned an error code (1)
kdmint@kdmint-V5-131:~$ sudo apt-get install -f
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Os pacotes a seguir serão REMOVIDOS:
linux-image-3.13.0-59-generic
0 pacotes atualizados, 0 pacotes novos instalados, 1 a serem removidos e 5 não atualizados.
10 pacotes não totalmente instalados ou removidos.
Depois desta operação, 42,5 MB de espaço em disco serão liberados.
Você quer continuar? [S/n] s
(Lendo banco de dados ... 260575 ficheiros e directórios actualmente instalados.)
Removing linux-image-3.13.0-59-generic (3.13.0-59.98) ...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.13.0-59-generic /boot/vmlinuz-3.13.0-59-generic
update-initramfs: Deleting /boot/initrd.img-3.13.0-59-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.13.0-59-generic /boot/vmlinuz-3.13.0-59-generic
/usr/sbin/grub-mkconfig: 38: /etc/default/grub: Syntax error: Unterminated quoted string
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 2
Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/info/linux-image-3.13.0-59-generic.postrm line 328.
dpkg: error processing package linux-image-3.13.0-59-generic (--remove):
sub-processo script post-removal instalado retornou estado de saída de erro 1
Erros foram encontrados durante o processamento de:
linux-image-3.13.0-59-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
kdmint@kdmint-V5-131:~$ /usr/local/bin/warsaw/core
bash: /usr/local/bin/warsaw/core: Arquivo ou diretório não encontrado
kdmint@kdmint-V5-131:~$

Obrigado pela tentativa e aguardo uma nova orientação para tentar solucionar o problema.

Obrigado,

Carlos




[13] Comentário enviado por linuxuservlog em 25/11/2015 - 15:52h

Copie e cole no Terminal, depois tecle ENTER:

/usr/local/bin/warsaw/core

Esse outro erro relacionado ao pacote linux-image-3.13.0-59-generic é complicado de resolver. Não tem nada a ver com o Guardião Itaú, mas pode estar impedindo a instalação do mesmo.

[14] Comentário enviado por linuxuservlog em 13/01/2016 - 11:05h

Sobre a Instalação do Warsaw no Internet Banking da Caixa Econômica Federal...

O Warsaw também é o novo Módulo Adicional de Segurança CAIXA.

NÃO É NECESSÁRIO ter o JAVA instalado. Sim, livres do Java!

Pré-requisitos para a instalação: ter os pacotes libnss3-tools e libcurl3 instalados (pelo Terminal, execute: sudo apt-get install libnss3-tools libcurl3 , ou instale pela Central de programas).

Acessar o Internet Banking, baixar o pacote GBPCEFwr64.deb e instalar...

VÍDEO demonstrativo: https://youtu.be/gqZoalfZ2f4

No vídeo é utilizado o instalador GDebi. Você pode utilizar a Central de programas ou o Terminal.

No vídeo, o GDebi pede para reinstalar o pacote. Isso acontece porque tenho o módulo Warsaw do Itaú instalado.

Tutorial para instalação via linha de comando (Terminal): https://imagem.caixa.gov.br/asc/tutorial_warsaw.htm

Mais informações, no blog: http://linuxuserlog.blogspot.com.br/

[15] Comentário enviado por rudr1go em 20/08/2016 - 02:15h

Estou usando Xubuntu 16.04 32bits e do nada está aparecendo uma tela do Warsaw pedindo usuário e senha para atualizar, já coloquei do meu usuário do sistema e nada.

Ps.: até me assustei e fui pesquisar sobre esse programa quando apareceu do nada.

Segue um print da tela -> http://imgur.com/vw9AArVl.png

Não queria remover o software porque acesso várias instituições bancárias do linux e pelo que li ele tá sendo indispensável para acessar o internet banking.

[16] Comentário enviado por linuxuservlog em 20/08/2016 - 13:44h

Comigo está ocorrendo o mesmo.
Recomendo aguardar.
Pode ser problema no servidor deles. O site deles também está solicitando senha.

Talvez resolva se remover e reinstalar uma nova versão. Mas não testei.

[17] Comentário enviado por Quines_Ubuntu em 15/03/2017 - 15:58h

Meu problema aqui é o seguinte:
Tenho instalado em uma maquina o UBUNTU 16.04 LTS, fiz a instalação do warsaw via dpkg -i mas parace que o pc não "salva" a configuração/instalação que fiz, porque todo dia tenho que instalar o guardião novamente para o setor de cobrança poder realizar as atividades bancárias, não era assim, começou de um tempo pra cá, percebi também que os plugins do ITAU e da CEF são versões diferentes, alguém pode me dar uma luz pra eu fazer com que funcione perfeitamente todos os dias?

[18] Comentário enviado por linuxuservlog em 15/03/2017 - 17:58h

Quines_Ubuntu,

Após instalar com dpkg -i, execute sudo apt install -f

Faça também o diagnóstico na página da GAS: http://www.dieboldnixdorf.com.br/warsaw

Uso o 16.04, Warsaw funcionando sem problemas, para Itaú e Caixa.




Contribuir com comentário




Patrocínio

Site hospedado pelo provedor HostGator.
Linux banner
Linux banner
Linux banner

Artigos

Dicas

Viva o Android

Tópicos

Top 10 do mês

Scripts